#include "format.h"

namespace text {
 
  std::string clean( std::string s) {
    for (std::string::iterator i= s.begin(); i!=s.end(); ++i)
      if ( iscntrl( (unsigned char) *i) )
        *i= '?';
    return s;
  }

} //namespace text
